function[pend] = quadopt
global pend

% Corresponds to case 20060914noise of Mathematica model mbquadlite2lateral
% For use with Matlab matrix elements ssmake4pv2eMB4.m/symbexport4lat.m of 5/9/06
% Third cut at noise prototype parameter set, with "as for controls prototype" numbers
% brought up to sync with 20060509controlsmainasbuiltsym and extra numbers from T010103-05.
% Error in 20060517noise in derivation of dm and ln corrected.

% See equivalent Mathematica case for details of "derived" numbers
% "AFCP" = "as for controls prototype"

                              pend.g = 9.81;
                             pend.nx = 0.1300; % AFCP, T040214-01 
                             pend.ny = 0.5000; % AFCP, T040214-01 
                             pend.nz = 0.0840; % AFCP, T040214-01 
                           pend.denn = 4000; % AFCP, T040214-01 
                             pend.mn = 22.11; % T010103-05 
                            pend.Inx = 0.4558; % T010103-05 
                            pend.Iny = 0.0712; % T010103-05 
                            pend.Inz = 0.4547; % T010103-05 
                             pend.ux = 0.1300; % AFCP, T040214-01 
                             pend.uy = 0.5000; % AFCP, T040214-01 
                             pend.uz = 0.0840; % AFCP, T040214-01 
                           pend.den1 = 4000; % AFCP, T040214-01 
                             pend.m1 = 21.011; % T010103-05 
                            pend.I1x = 0.5174; % T010103-05 
                            pend.I1y = 0.0598; % T010103-05 
                            pend.I1z = 0.5205; % T010103-05 
                             pend.ix = 0.2000; % M050397-02/T010103-05 
                             pend.ir = 0.1700; % M050397-02/T010103-05 
                           pend.den2 = 2200; % T010103-05, Bench v4.1
                             pend.m2 = 39.570; % derived from M050397-02, den2
                            pend.I2x = 0.5666; % derived from M050397-02, den2
                            pend.I2y = 0.4204; % derived from M050397-02, den2
                            pend.I2z = 0.4101; % derived from M050397-02, den2
                             pend.tx = 0.2000; % M050397-02/T010103-05 
                             pend.tr = 0.1700; % M050397-02/T010103-05 
                           pend.den3 = 2200; % T010103-05, Bench 
                             pend.m3 = 39.570; % derived from M050397-02, den3
                            pend.I3x = 0.5666; % derived from M050397-02, den3
                            pend.I3y = 0.4204; % derived from M050397-02, den3
                            pend.I3z = 0.4101; % derived from M050397-02, den3
							pend.tlnspec = 0.416; % T010103-05
							pend.tl1spec = 0.277; % T010103-05
							pend.tl2spec = 0.341; % T010103-05
							pend.tl3spec = 0.602; % T010103-05
                             pend.ln = 0.4486; % derived from tlnspec; was wrong (0.4410) in 20060517 
%                                                due to error in Mathematica
                             pend.l1 = 0.3090; % derived from tl1spec
                             pend.l2 = 0.3417; % derived from tl2spec
                             pend.l3 = 0.6000; % derived from tl3spec
                            pend.nwn = 2; 
                            pend.nw1 = 4; 
                            pend.nw2 = 4;
                            pend.nw3 = 4; 
                             pend.bd = 0.00; 
                             pend.rn = 5.200*10^-04; % AFCP, available size close to T010103-05; measured MB, 9/29/05 
                             pend.r1 = 3.5000*10^-04; % T010103-05 
                             pend.r2 = 3.1000*10^-04; % T010103-05 
                             pend.t3 = 0.000115; % IFOModel v4.1
							 pend.W3 = 0.00115; % IFOModel v4.1
                             pend.Yn = 2.12000*10^+11; % measured, MB, 11/18/05, via IFOModel v4.1; cf. 2.2 in T010103-05
                             pend.Y1 = 2.12000*10^+11; % measured, MB, 11/18/05, via IFOModel v4.1; cf. 2.2 in T010103-05
                             pend.Y2 = 2.12000*10^+11; % measured, MB, 11/18/05, via IFOModel v4.1; cf. 2.2 in T010103-05
                             pend.Y3 = 7.0000*10^+10; % IFOModel v4.1, unchanged, different from new Ysilica
                             pend.dm = -0.003053; % derived; eff. val. = +0.001
                             pend.dn = +0.003228; % derived; eff. val. = +0.001 (inc. blade lateral compliance)
                             pend.d0 = -0.001685; % derived; eff. val. = +0.001
                             pend.d1 = +0.003061; % derived; eff. val. = +0.001; (inc. blade lateral compliance) 
                             pend.d2 = -0.001791; % derived; eff. val. = +0.001;
                             pend.d3 = -0.000676; % derived; eff. val. = +0.001
                             pend.d4 = -0.000676; % derived; eff. val. = +0.001
                    pend.twistlength = 0; 				% not used; T010103-05 
                           pend.d3tr = 1.0000*10^-03;	% not used; T010103-05 
                           pend.d4tr = 1.0000*10^-03;	% not used; T010103-05 
                             pend.sn = 0; 				% T010103-05 (AFCP) 
                             pend.su = 0.003;  % T010103-05 (AFCP)
                             pend.si = 0.003;  % T010103-05 (AFCP) 
                             pend.sl = 0.015;  % T010103-05 (AFCP) 
                            pend.nn0 = 0.250;  % T010103-05 (AFCP) 
                            pend.nn1 = 0.090;  % T010103-05 (AFCP) 
                             pend.n0 = 0.200;  % T010103-05 (AFCP) 
                             pend.n1 = 0.060;  % T010103-05 (AFCP) 
                             pend.n2 = 0.140;  % T010103-05 (AFCP) 
                             pend.n3 = 0.1762; % T010103-05 
                             pend.n4 = 0.1712; % T010103-05 
                             pend.n5 = 0.1712; % T010103-05 
                                 sin = (pend.nn1-pend.nn0)/pend.ln;
                                 si1 = (pend.n1-pend.n0)/pend.l1;
                                 si2 = (pend.n3-pend.n2)/pend.l2;
                                 si3 = (pend.n5-pend.n4)/pend.l3;	
                                 ffn = 0.807; % AFCP, from Ian's data, 11/30/05 
                                 ff1 = 0.641; % AFCP, from Ian's data, 11/30/05 
                                 ff2 = 0.608; % AFCP, from Ian's data, 11/30/05 
                                kffn = 1 + ffn*tan(asin(sin));
                                kff1 = 1 + ff1*tan(asin(si1));
                                kff2 = 1 + ff2*tan(asin(si2));
							pend.kcn = 4*pi^2*(59/60)^2*61*kffn; % measured, T040229-12
							pend.kc1 = 4*pi^2*(70/60)^2*50*kff1; % measured, T040229-12
							pend.kc2 = 4*pi^2*(76/60)^2*39*kff2; % measured, T040229-12
                            pend.kxn = 1.0*10^5;  % AFCP, as for middle 
                            pend.kx1 = 1.0*10^5;  % AFCP, Justin 11/29/05 
                            pend.kx2 = 0.8*10^5;  % AFCP, Ian 12/09/05 
                         pend.stage2 = 1;
                         pend.ribbon = 1;

                         [pend.ln pend.dm] = tldquadn(pend.tlnspec, 0.001);
[pend.l1 pend.dn pend.d0] = tldquad1(pend.tl1spec, 0.001, 0.001);
[pend.l2 pend.d1 pend.d2] = tldquad2(pend.tl2spec, 0.001, 0.001);
[pend.l3 pend.d3 pend.d4] = tldquad3(pend.tl3spec, 0.001, 0.001);
                                 si0 = (pend.nn1-pend.nn0)/pend.ln;
                                 si1 = (pend.n1-pend.n0)/pend.l1;
                                 si2 = (pend.n3-pend.n2)/pend.l2;
                                 si3 = (pend.n5-pend.n4)/pend.l3;	
                                kffn = 1 + ffn*tan(asin(si0));
                                kff1 = 1 + ff1*tan(asin(si1));
                                kff2 = 1 + ff2*tan(asin(si2));
							pend.kcn = 4*pi^2*(59/60)^2*61*kffn; % measured, T040229-12
							pend.kc1 = 4*pi^2*(70/60)^2*50*kff1; % measured, T040229-12
							pend.kc2 = 4*pi^2*(76/60)^2*39*kff2; % measured, T040229-12
                    
%     Model: GEO-style quad pendulum with massless blades with z and x DOFs
%     Case: "20060914noise"
% 
%     "Third cut at the noise prototype, with additional numbers from T010103-05 and updated damping model from\
% 
%       Bench/IFOModel v4.1."
% 
%     Stage 2:
%     N	f	type
%     1     0.3235799448240234	pitch3	pitch2
%     2 	0.4391999612168585	x3
%     3     0.4625385310946125	y3
%     4     0.5814202989004285	z3	z2
%     5     0.596876459997784	yaw3	yaw2
%     6     0.8220358423033905	roll3	roll1	roll2
%     7     0.9867941607614974	x2	x3
%     8     1.04423798512879	y2	y3
%     9     1.203233962283502	pitch0	pitch3	pitch2
%     10	1.344394537650971	yaw3	yaw1
%     11	1.501390868783592	pitch0	pitch2
%     12	1.986889068472993	x0	x1
%     13	2.108145396007852	y0	y1
%     14	2.337569296204462	z0	z1
%     15	2.397280200850862	yaw0	yaw2
%     16	2.690816374245829	roll1	roll0	roll3
%     17	2.934163435218216	pitch1
%     18	3.027689139621374	yaw1	yaw0
%     19	3.311112723181687	roll1	y1	roll0
%     20	3.411229022349111	x1	x0
%     21	3.759068833452909	z1	z0
%     22	5.098046726592215	roll0	y0
%     23	8.98858046525072	z2	z3
%     24	12.84862914374321	roll2	roll3